Bug 198861 - kernel panic with the laster 2.6.17-1.2391 release
kernel panic with the laster 2.6.17-1.2391 release
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
ppc64 Linux
medium Severity high
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-14 05:32 EDT by wzhou
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 13:30:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wzhou 2006-07-14 05:32:46 EDT
Description of problem:

I am trying to have a look at utrace introduced after 2.6.17-1.2373.  And I
download kernel-2.6.17-1.2391.fc6.ppc64.rpm from
http://download.fedora.redhat.com/pub/fedora/linux/core/development/ppc/os/Fedora/RPMS/.

After I updating the kernel, the kernel can't boot up.  Here is what it reports:

....
PM: Adding info for No Bus:target1:3:60
PM: Removing info for No Bus:target1:3:60
PM: Adding info for No Bus:target1:3:61
PM: Removing info for No Bus:target1:3:61
PM: Adding info for No Bus:target1:3:62
PM: Removing info for No Bus:target1:3:62
PM: Adding info for No Bus:target1:3:63
PM: Removing info for No Bus:target1:3:63
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
ERROR unmounting old /proc/bus/usb: No such file or directory
forcing unmount of /proc/bus/usb
init has generated signal 11 but has no handler for it
Kernel panic - not syncing: Attempted to kill init!

Version-Release number of selected component (if applicable):


How reproducible:
always with my power-5 machines.

Steps to Reproduce:
1. download kernel 2.6.17-1.2391 from fedora developmen tree
2. install the new kernel on a FC5/FC6-test1 system
3. reboot
  
Actual results:


Expected results:


Additional info:
it boots ok on x86
Comment 1 Dave Jones 2006-07-15 03:45:48 EDT
Peter, mkinitrd problem maybe ?
Comment 2 David Woodhouse 2006-11-22 13:30:20 EST
Almost certainly a temporary mkinitrd or kernel issue during development. Not
seen in FC6 -- at least not here. Please re-open if you see it again.

Note You need to log in before you can comment on or make changes to this bug.